# -*- coding: utf-8 -*-

# Netsphere Financial Front / ネットスフィア経理フロント
# Copyright (C) 2007-2009,2011 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


if !$__PARTNER_SEARCH__
$__PARTNER_SEARCH__ = 1

require 'validating_base'

# 取引先の検索ボックス
class PartnerSearchBox < ValidatingBase
  attr_accessor :text
  
  def find_by_text
    return nil if @text.to_s.strip == ''
    t = '%' + normalize_kc(@text.strip).upcase + '%' # PostgreSQL only TODO:fixme
    Partner.find :all,
           :conditions => ['upper(name) LIKE ? OR kana_name LIKE ? OR upper(remarks) LIKE ?', t, t, t],
           :limit => 31
  end
end

end
