# -*- coding:utf-8 -*-

# 小口グループ
# カンパニーと同じか, カンパニーより１段階小さい
class PettyGroupsController < ApplicationController
  # GET /petty_groups
  # GET /petty_groups.xml
  def index
    @petty_groups = PettyGroup.all
  end

  # GET /petty_groups/1
  # GET /petty_groups/1.xml
  def show
    @petty_group = PettyGroup.find(params[:id])
  end


  # GET /petty_groups/new
  # GET /petty_groups/new.xml
  def new
    @petty_group = PettyGroup.new
  end


  # GET /petty_groups/1/edit
  def edit
    @petty_group = PettyGroup.find(params[:id])
  end


  # POST /petty_groups
  # POST /petty_groups.xml
  def create
    @petty_group = PettyGroup.new(params[:petty_group])
    @petty_group.create_user_id = current_user.id
    @petty_group.description = "" if !@petty_group.description

    if @petty_group.save
      redirect_to( {:action => "show", :id => @petty_group}, 
                   :notice => 'Petty group was successfully created.')
    else
      render :action => "new"
    end
  end


  # PUT /petty_groups/1
  # PUT /petty_groups/1.xml
  def update
    @petty_group = PettyGroup.find(params[:id])

    if @petty_group.update_attributes(params[:petty_group])
      redirect_to( {:action => "show", :id => @petty_group}, 
                   :notice => 'Petty group was successfully updated.')
    else
      render :action => "edit"
    end
  end


  # DELETE /petty_groups/1
  # DELETE /petty_groups/1.xml
  def destroy
    @petty_group = PettyGroup.find(params[:id])
    @petty_group.destroy

    redirect_to( {:action => "index"}, :notice => "削除しました。" )
  end
end
