# -*- coding:utf-8 -*-

# 小口経費精算
class PettyExpense < Document
  belongs_to :user
  belongs_to :petty_group
  belongs_to :reimb_currency, :class_name => "Currency"

  has_many :entries, :class_name => "PettyExpenseEntry"
  has_many :ca_offsets, :class_name => "PettyOffset", :foreign_key => "expense_id"

  has_many :pays, :class_name => "PettyPay", :foreign_key => "expense_id"
end
