-- コストセンタ (会計部門の集合)
CREATE TABLE control_divisions (
  id        serial PRIMARY KEY,
  name      VARCHAR(40) NOT NULL,

  -- Better Nested Set
  -- http://opensource.symetrie.com/trac/better_nested_set/
  -- はサイトが失われている (2013.9).

  -- fork from original:
  -- https://github.com/chris/better_nested_set

  -- replacement for better_nested_set:
  -- https://github.com/collectiveidea/awesome_nested_set

  -- nested setを適用する。root は parent_id = NULL (複数持てる)
  parent_id int REFERENCES control_divisions (id),
  lft       int NOT NULL,
  rgt       int NOT NULL
);
