
-- TODO: このテーブルは廃止.

-- 入金伝票
-- 相殺は範囲外
CREATE TABLE receiving_slips (
  id           serial PRIMARY KEY,

  -- 入金日
  date         DATE NOT NULL,

  -- 入金口座. カンパニーはここを手繰る
  our_bank_id  int NOT NULL REFERENCES our_banks(id),

  -- 入金金額. 正規化する.
  amount            decimal(10) NOT NULL,

  journal_export_at TIMESTAMP,

  -- 0 = 初期状態, 10 = 経理承認済み, 20 = 会計システム連動済み, 30 = キャンセル
  state             int NOT NULL, 

  created_at   TIMESTAMP NOT NULL,
  created_by   int NOT NULL REFERENCES users(id),
  updated_at   TIMESTAMP,

  lock_version int NOT NULL
);
