# -*- coding:utf-8 -*-

# 小口 - 仮払い
class PettyCashAdvance < Document
  belongs_to :user
  belongs_to :petty_group
  belongs_to :reimb_currency, :class_name => "Currency"

  has_many :ca_offsets, :class_name => "PettyOffset", 
                        :foreign_key => "cash_advance_id"
  has_many :pays, :class_name => "PettyPay", :foreign_key => "cash_advance_id"
end
