# -*- coding:utf-8 -*-

# 販売請求書の明細行
class SiDetail < ActiveRecord::Base
  belongs_to :sales_invoice

  validate :check_fields


  # for validate
  def check_fields
    if unit_price.to_i != 0 || qty.to_i != 0
      if (unit_price.to_i * qty.to_i - amount.to_i) != 0
        raise
      end
    end
  end
end
