# -*- coding:utf-8 -*-
# Be sure to restart your server when you modify this file.

#KeiriFront::Application.config.session_store :cookie_store, :key => '_keiri_front_session'

require "rails_sup/rails_session_manager"
require "wafu2/session/file_storage"


KeiriFront::Application.configure do |app|
  #app.config.session_store :cookie_store, :key => '_Houjin_session'
  app.config.session_store Wafu::Session::RailsSessionManager,
                  :database_manager => {
                            :class => Wafu::Session::FileStorage,
                            :dir => Rails.root.to_s + "/tmp/sessions",
                            :holdtime => (60 * 60) * 3
                          },
                  :key => '_session_id',     # CGI::Sessionと合わせる
                  :path => "/"
end


# Use the database for sessions instead of the cookie-based default,
# which shouldn't be used to store highly confidential information
# (create the session table with "rails generate session_migration")
# KeiriFront::Application.config.session_store :active_record_store
