-- 添付ファイル
CREATE TABLE attach_files (
  id                serial PRIMARY KEY,
  data              BYTEA NOT NULL,
  original_filename VARCHAR(200) NOT NULL,
  content_type      VARCHAR(60) NOT NULL,

  attach_kind_id    int NOT NULL REFERENCES attach_kinds(id),
  remarks           VARCHAR(200) NOT NULL,
  division_id       int NOT NULL REFERENCES divisions(id),  -- 所管部門
  create_user_id    int NOT NULL REFERENCES users(id),

  created_at        TIMESTAMP
);
