
-- 出金(貸方)
CREATE TABLE payment_banks (
  id              serial PRIMARY KEY,
  payment_slip_id int NOT NULL REFERENCES payment_slips (id),

  our_bank_id     int NOT NULL REFERENCES our_banks (id),

  -- 正規化された金額 [通貨=our_bank]
  cash_amount     int NOT NULL,

  -- 消し込む債務の金額 [通貨 = 請求書のそれ]
  inv_amount      decimal(12) NOT NULL,
  
  created_at      TIMESTAMP NOT NULL
);

