# -*- coding:utf-8 -*-

# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ :name => 'Chicago' }, { :name => 'Copenhagen' }])
#   Mayor.create(:name => 'Daley', :city => cities.first)


require "db/migrate/20110120220948_global_settings_add_ac"

root = ControlDivision.new :name => "(変更してください)部門集計木"
root.save!

acs = GlobalSettingsAddAc.add_ac_instances
global = GlobalSetting.new :partner_counter => 400001, 
                           :currency_limit_day => Date.today,
                           :bank_charge_account_title_id => acs[0].id,
                           :currency_gain_account_title_id => acs[1].id,
                           :vat_payment_account_title_id => acs[2].id,
                           :default_division_tree_root_id => root.id
global[:id] = 1
global.save!
