require 'test_helper'

class PettyGroupsControllerTest < ActionController::TestCase
  setup do
    @petty_group = petty_groups(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:petty_groups)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create petty_group" do
    assert_difference('PettyGroup.count') do
      post :create, :petty_group => @petty_group.attributes
    end

    assert_redirected_to petty_group_path(assigns(:petty_group))
  end

  test "should show petty_group" do
    get :show, :id => @petty_group.to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => @petty_group.to_param
    assert_response :success
  end

  test "should update petty_group" do
    put :update, :id => @petty_group.to_param, :petty_group => @petty_group.attributes
    assert_redirected_to petty_group_path(assigns(:petty_group))
  end

  test "should destroy petty_group" do
    assert_difference('PettyGroup.count', -1) do
      delete :destroy, :id => @petty_group.to_param
    end

    assert_redirected_to petty_groups_path
  end
end
